//=====================================================================================
//	TAC2 - Client Side Master									Wizard_TPG - 3/7/2001
//
//
//	Includes:
//				Activation and Deactivation of TAC Client Code
//
//=====================================================================================

if($LaunchMode $= "DedicatedServer")
	return;

$TAC::ClientVersion = 0.91;
$TAC::ServerVersion = 0.92;

exec("scripts/TACCreditsGui.cs");
schedule(1000,$TAC::ClientVersion,"DelayedExecClient");


//This is the execution of files 500ms after autoexec
function DelayedExecClient()
{
	loadGui("TACCreditsGui");
	exec("scripts/chef_cam_client.cs");
	activatepackage(iamthecheatnazinocheatforyou);
}

function clientCmdCheckForTACCodeVersion()
{
	CommandToServer( 'TACClientVersion', $TAC::ClientVersion, $TAC::CreditsLoaded );
}

function clientCmdIncorrectTACClient(%version)
{
	MessageBoxOk( "VERSION ERROR", "You do not have the correct version of Team Aerial Combat.\n\n(Server is running version "@%version@")", "disconnect();");
}

package TAC2SkinFix
{

function GMW_SkinPrefPopup::fillList( %this )
{
   %this.clear();
   %this.add( "TAC2 Skins", 0 );
   %this.add( "Other Skins", 1 );
}

function isDynamixSkin( %skin )
{
   for ( %i = 0; %i < $TACSkinCount; %i++ )
   {
      if ( %skin $= $TACSkin[%i, code] )
         return( true );
   }
   return( false );
}

function GMW_SkinPopup::fillList( %this, %raceGender )
{
   for ( %i = 0; %i < %this.size(); %i++ )
      %this.realSkin[%i] = "";

	%this.clear();
   %path = "textures/skins/";
   switch ( %raceGender )
   {
      case 0:  // Human Male
         %pattern = ".lmale.png";
      case 1:  // Human Female
         %pattern = ".lfemale.png";
      case 2:  // Bioderm
         %pattern = ".lbioderm.png";
   }

   %customSkins = GMW_SkinPrefPopup.getSelected();
   %count = 0;
   for ( %file = findFirstFile( %path @ "*" @ %pattern ); %file !$= ""; %file = findNextFile( %path @ "*" @ %pattern ) )
   {
      %skin = getSubStr( %file, strlen( %path ), strlen( %file ) - strlen( %path ) - strlen( %pattern ) );  // strip off the path and postfix


      // Make sure this is not a bot skin:
      if ( %skin !$= "basebot" && %skin !$= "basebbot" )
      {
         // See if this skin has an alias:
         %baseSkin = false;
         for ( %i = 0; %i < $TACSkinCount; %i++ )
         {
            if ( %skin $= $TACSkin[%i, code] )
            {
               %baseSkin = true;
               %skin = $TACSkin[%i, name];
               break;
            }
         }

         if ( %customSkins != %baseSkin )
         {
            if ( %baseSkin )
               %this.realSkin[%count] = $TACSkin[%i, code];
            %this.add( %skin, %count );
            %count++;
         }
      }
   }

   %this.sort( true );
}


};
activatepackage(TAC2SkinFix);


$TACSkinCount = 0;
$TACSkin[$TACSkinCount, name] = "Herracon Eagle Desert";
$TACSkin[$TACSkinCount, code] = "heagle";
$TACSkinCount++;
$TACSkin[$TACSkinCount, name] = "Herracon Eagle Lush";
$TACSkin[$TACSkinCount, code] = "heagle.lush";
$TACSkinCount++;
$TACSkin[$TACSkinCount, name] = "Herracon Eagle Ice";
$TACSkin[$TACSkinCount, code] = "heagle.ice";
$TACSkinCount++;
$TACSkin[$TACSkinCount, name] = "Dragon Blade Desert";
$TACSkin[$TACSkinCount, code] = "dblade";
$TACSkinCount++;
$TACSkin[$TACSkinCount, name] = "Dragon Blade Lush";
$TACSkin[$TACSkinCount, code] = "dblade.lush";
$TACSkinCount++;
$TACSkin[$TACSkinCount, name] = "Dragon Blade Ice";
$TACSkin[$TACSkinCount, code] = "dblade.ice";
$TACSkinCount++;



package iamthecheatnazinocheatforyou
{

function GameConnection::onTargetLocked( %con, %state )
{
   if( %state $= "true" )
   {
      if( !%con.targetTone )
         %con.targetTone = alxPlay( "sLockedTone", 0, 0, 0 );
   }
   else
   {
      if( %con.targetTone $= "" )
         return;

      if( %con.targetTone )
         alxStop( %con.targetTone );

      %con.targetTone = "";
   }
}

function GameConnection::onTrackingTarget( %con, %state )
{
   if( %state $= "true" )
   {
      if( !%con.trackingTargetTone )
         %con.trackingTargetTone = alxPlay( "sSearchingTone", 0, 0, 0 );
   }
   else
   {
      if( %con.trackingTargetTone $= "" )
         return;

      if( %con.trackingTargetTone )
         alxStop( %con.trackingTargetTone );

      %con.TrackingTargetTone = "";
   }
}

function GameConnection::onLockWarning( %con, %state )
{
   if( %state $= "true" )
   {
      if( !%con.lockWarningTone )
         %con.lockWarningTone = alxPlay( "sMissileLockWarningTone", 0, 0, 0 );

   }
   else
   {
      if( %con.lockWarningTone $= "" )
         return;

      if( %con.lockWarningTone )
         alxStop( %con.lockWarningTone );

      %con.lockWarningTone = "";
   }
}

function GameConnection::onHomeWarning( %con, %state )
{
   if( %state $= "true" )
   {
      if( !%con.homeWarningTone )
         %con.homeWarningTone = alxPlay( "sMissileHomingWarningTone", 0, 0, 0 );
   }
   else
   {
      if( %con.homeWarningTone $= "" )
         return;

      if( %con.homeWarningTone )
         alxStop( %con.homeWarningTone );

      %con.homeWarningTone = "";
   }
}

};

//==================================================================
// TPack Code

function clientCmdgetThrusterPackMap(%client, %isjetting)
{
	//This function stops the player using mousejet key.
	if(%isjetting)
		mouseJet(false);

   	new ActionMap(ThrusterPackMap);
   	ThrusterPackMap.blockBind( moveMap, mouseJet );
	ThrusterPackMap.blockBind( moveMap, throwPack );
	ThrusterPackMap.blockBind( moveMap, useBackPack );

   	ThrusterPackMap.push();

   	jump(true);
   	jump(false);
   	mouseJet(true);
}

function clientCmdfixThrusterPackMap(%client)
{
	ThrusterPackMap.pop();
	mouseJet(false);
}

function clientCmdThrusterpackStopJet(%client)
{
	mouseJet(false);
}


